export class Time {

    public static getFunction() :Function {
        return this.format.bind(this);
    }

    public static format(value: any) {
        let valueToReturn = value;
        const valueFloat = parseFloat(value);
		if (!isNaN(valueFloat) && valueFloat > 0) {
            valueToReturn = this.getFormattedTime(valueFloat);
		}
        return valueToReturn;
    }

    public static getFormattedTime(value: any) {
        let formattedTime = '';
		const hours = Math.floor(value / 3600);
		const minutes = Math.floor((value % 3600) / 60);
		const seconds = Math.floor((value % 3600) % 60);
		if (hours > 0) {
			formattedTime += hours + "H";
		}
		if (minutes > 0) {
			formattedTime += minutes + "m";
		}
		if (seconds > 0) {
			formattedTime += seconds + "s";
        }
        return formattedTime;
    }

}
